(function() {

    var R = window.Resume = {};

    R.PageView = Backbone.View.extend({
        el: $("body")[0],

        events: {
            "click .skill span.name":   "showSkillLinks",
            "click #glass-pane":        "unselect",
            "click .selected div.name": "unselect"
        },

        initialize: function(options) {
            _.bindAll(this, "showSkillLinks");
            window.addEventListener("scroll", this.fixHeader);
        },

        fixHeader: _.throttle(function(e) {
            var $h = $("header");
            if ($(document).scrollTop() > 100) {
                $h.addClass("fixed"); }
            else $h.removeClass("fixed"); }, 100),

        showSkillLinks: function(e) {
            this.select($(e.target).siblings("div.links")); },

        select: function($el) {
            $("#glass-pane").show();
            $el.fadeIn().addClass("selected"); },

        unselect: function() {
            $(".selected").fadeOut().removeClass("selected");
            $("#glass-pane").hide(); }
    });

})();
